<div class="flex justify-center items-center h-screen p-8">
    <div class="bg-white p-8 rounded-lg shadow-md w-full sm:w-96">
        <h2 class="text-2xl font-semibold mb-6 text-center">Login</h2>
        <form #f="ngForm" (ngSubmit)="handleLogin(f, f.valid)">
            <div class="mb-4">
                <label for="email" class="block text-gray-600">Email</label>
                <input type="email" id="email" name="email" [(ngModel)]="form.email" #email="ngModel" required
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5  dark:placeholder-gray-900 dark:text-gray-900 dark:focus:ring-blue-500 dark:focus:border-blue-500">
                <small *ngIf="f.submitted && !email.valid" class="text-red-500">Email cannot be null</small>
            </div>
            <div class="mb-4">
                <label for="password" class="block text-gray-600">Password</label>
                <input type="password" id="password" name="password" [(ngModel)]="form.password" #password="ngModel"
                    required
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5  dark:placeholder-gray-900 dark:text-gray-900 dark:focus:ring-blue-500 dark:focus:border-blue-500">
                <small *ngIf="f.submitted && !password.valid" class="text-red-500">Password cannot be null</small>
            </div>
            <div class="mb-6 text-center">
                <button type="submit"
                    class="w-full {{ f.valid ? 'bg-blue-500 hover:bg-blue-600 cursor-pointer' : buttonClass}} text-white rounded-md py-2  transition duration-300">Login</button>
                <small *ngIf="notMatchAccount.status" class="text-red-500">{{ notMatchAccount.message }}</small>
            </div>
            <p class="text-sm text-center text-gray-500">Don't have an account? <a href="#"
                    class="text-blue-500 hover:underline">Sign up</a></p>
        </form>
    </div>
</div>